## kubuntu-docs 6.10-1

=== kubuntu/Makefile ===
#################################################################################
# Makefile for the Kubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found
#    at /usr/share/common-licenses/GPL
#
#################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.3/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Stylesheets for building HTML and PDF

KUBUNTUXSL=libs/kubuntu-chunk.xsl
# Uncomment the line below this and comment out the line above this to build website with tabs
# KUBUNTUXSL=libs/kubuntu-web.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

BUILDDIR=../build/

# Base kde directories for output from processor
KBASE=$(BUILDDIR)kubuntu/

PDFBASE=$(BUILDDIR)pdf/kubuntu/

LULUBASE=../build/lulu/kubuntu/

RNBASE=$(BUILDDIR)kubuntu/release-notes/

AKBASE=$(BUILDDIR)kubuntu/about-kubuntu/

SERVERBASE=$(BUILDDIR)kubuntu/serverguide/

PACKAGEBASE=$(BUILDDIR)kubuntu/packagingguide/

DESKTOPBASE=$(BUILDDIR)kubuntu/desktopguide/

SWITCHINGBASE=$(BUILDDIR)kubuntu/switching/

ADEPTBASE=$(KBASE)adeptguide/

ADEPTUPDATERBASE=$(KBASE)adeptupdater/

ADEPTADDREMOVEBASE=$(KBASE)adeptaddremoveprograms/

all: clean about desktop package server release-notes

	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

# This is here to select what to build for the .deb package.
# Frode M. Doeving <frode@lnix.net>
# Depends: debhelper devscripts cdbs
# Run prepdeb.sh do not run this make target
# Status: Available
kdeb: release-notes about server desktop package

# Style and header images - these are used in all the documents below

style:

	@echo "Building the Server Guide . . ."
	# copy style sheet to build directory
	mkdir -p $(KBASE)common/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/

#Status: AVAILABLE
# K About Kubuntu Document

about: style $(AKBASE)C

# To add other languages to the build simply include them after the above, like this: "$(AKBASE)lc" where "lc" is the language code.

$(AKBASE)%: aboutkubuntu/%/about-kubuntu.xml
	xsltproc -o $@/index.html $(KUBUNTUXSL) $<

#Status: AVAILABLE
# K Release Notes

release-notes: style $(RNBASE)C

$(RNBASE)%: releasenotes/%/releasenotes.xml
	xsltproc -o $@/index.html $(KUBUNTUXSL) $<

	@echo "Complete. Find outputs at" $(RNBASE)

# Server Guide

server: style $(SERVERBASE)C


$(SERVERBASE)%: ../generic/serverguide/%/serverguide.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

# Desktop Guide

desktop: style $(DESKTOPBASE)C

	# copy sample files to build directory
	mkdir -p $(DESKTOPBASE)sample
	cp -r desktopguide/sample/* $(DESKTOPBASE)sample/

$(DESKTOPBASE)%: desktopguide/%/desktopguide.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

switching: style $(SWITCHINGBASE)C

$(SWITCHINGBASE)%: switching/%/switchingfromwindows.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

# Packaging Guide
package: style $(PACKAGEBASE)C

$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguide.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

# Adept Guide
adept-guide: style $(ADEPTBASE)C

$(ADEPTBASE)%: adeptguide/%/adeptguide.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

adept-updater: style $(ADEPTUPDATERBASE)C

$(ADEPTUPDATERBASE)%: adeptguide/adeptupdater/%/adeptupdater.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

addremoveprograms: style $(ADEPTADDREMOVEBASE)C

$(ADEPTADDREMOVEBASE)%: adeptguide/addremoveprograms/%/addremoveprograms.xml
	xsltproc --xinclude -o $@/index.html $(KUBUNTUXSL) $<

# Cleanup

clean:
	rm -rf $(KBASE)

=== ubuntu/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Ubuntu Docbook Customization Layer

UBUNTUCHUNKXSL=libs/ubuntu-html-chunk-cust.xsl
UBUNTUSINGLEXSL=libs/ubuntu-html-single-cust.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl
# Local path to newer xsl for use with fop 0.90
PDFSTYLE2=../libs/pdf/ubuntu-pdf2.xsl

# Base gnome directories for output from processor
BASE=../build/ubuntu/

PDFBASE=../build/pdf/ubuntu/

LULUBASE=../build/lulu/ubuntu/

RNBASE=../build/ubuntu/release-notes/

ABASE=../build/ubuntu/about-ubuntu/

DGBASE=../build/ubuntu/desktopguide/

PACKAGEBASE= ../build/ubuntu/packagingguide/

IMAGES=../build/ubuntu/images/

SERVERBASE=../build/ubuntu/serverguide/

SGBASE=../build/ubuntu/styleguide/

.PHONY: website

gdeb: 

all: clean au rn dg server package

clean:
	rm -rf $(BASE)

#######################################
#
# Here begin the HTML build targets
# 
#######################################

# About Ubuntu Document
au: $(ABASE)C

	@echo "--- Building About Ubuntu Document"
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

$(ABASE)%: aboutubuntu/%/about-ubuntu.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<
		
#Status: AVAILABLE
# Release Notes
rn:
	@echo "--- Building the Ubuntu Release Notes . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

rn-C:	
	xsltproc --xinclude -o $(RNBASE)C/release-notes.html $(UBUNTUCHUNKXSL) releasenotes/C/release-notes.xml
	
# Desktop Guide

dg: $(DGBASE)C

	@echo "--- Building the Ubuntu Desktop Guide . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

$(DGBASE)%: desktopguide/%/desktopguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

# Server Guide

server: $(SERVERBASE)C

	@echo "Building the Server Guide . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	mkdir -p $(SERVERBASE)sample
	cp -r ../generic/serverguide/sample/* $(SERVERBASE)sample/

$(SERVERBASE)%: ../generic/serverguide/%/serverguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

## Packaging Guide

package: $(PACKAGEBASE)C

	@echo "Building the Packaging Guide . . ."
	mkdir -p $(PACKAGEBASE)images/C
	cp -r ../generic/packagingguide/images/C/*.* $(PACKAGEBASE)images/C/
	mkdir -p $(PACKAGEBASE)files
	cp -r ../generic/packagingguide/files/*.* $(PACKAGEBASE)files
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/

$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

=== debian/changelog ===
kubuntu-docs (6.10-1) edgy; urgency=low

  * Edgy docs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Sep 2006 02:41:32 +0100

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data, kdelibs-bin
Standards-Version: 3.6.1.0

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * About Kubuntu
  * Kubuntu Release Notes
  * Kubuntu Desktop Guide
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

build-stamp:
	touch build-stamp

build: build-stamp
	make -C kubuntu kdeb

install/kubuntu-docs::
	# *.desktop files to make documents appear in khelpcenter
	dh_install kubuntu/khelpdesktop/kubuntu/*.desktop usr/share/apps/khelpcenter/plugins/kubuntu/
	# this is the .directory file for proper naming in khelpcenter.
	dh_install kubuntu/khelpdesktop/kubuntu/.directory usr/share/apps/khelpcenter/plugins/kubuntu/
	# now add a pinch of css
	dh_install build/kubuntu/common/kubuntu-default.css usr/share/doc/kde/HTML/en/common/
	# and here goes the documentation.
	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/desktopguide/C/* usr/share/doc/kde/HTML/en/kubuntu/desktopguide/
	dh_install build/kubuntu/release-notes/C/* usr/share/doc/kde/HTML/en/kubuntu/krelease-notes/
	dh_install build/kubuntu/serverguide/C/* usr/share/doc/kde/HTML/en/kubuntu/serverguide/
	dh_install build/kubuntu/packagingguide/C/* usr/share/doc/kde/HTML/en/kubuntu/packagingguide/
	dh_install build/kubuntu/images/* usr/share/doc/kde/HTML/en/images/
	sed -i "s/\.\.\/\.\.\//file:\/\/\/usr\/share\/doc\/kde\/HTML\/en\//" debian/kubuntu-docs/usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/index.html

	# install doc-base files
	dh_install debian/kubuntu-desktopguide usr/share/doc-base
	dh_install debian/kubuntu-serverguide usr/share/doc-base
	dh_install debian/kubuntu-packagingguide usr/share/doc-base

clean::
	# clean up
	make -C kubuntu clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 7.04-5

=== kubuntu/Makefile ===
#################################################################################
# Makefile for the Kubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found
#    at /usr/share/common-licenses/GPL
#
#################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.3/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Stylesheets for building HTML and PDF
KUBUNTUXSL=libs/kubuntu-chunk.xsl
# Uncomment the line below this and comment out the line above this to build website with tabs
# KUBUNTUXSL=libs/kubuntu-web.xsl

# Temporary stylesheets for doc.ubuntu.com index
TMPXSL=tmplibs/tmp-chunk.xsl

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

BUILDDIR=../build/

# Base kde directories for output from processor
KBASE=$(BUILDDIR)kubuntu/

old: clean about desktop package server release-notes

all: clean style tbh

kdeb: clean style tbh

# Style
style:
	# copy style sheet to build directory
	mkdir $(KBASE)common/
	mkdir -p $(KBASE)images/admon/
	mkdir $(KBASE)images/C/
	mkdir $(KBASE)images/callouts/
	mkdir $(KBASE)images/navig/
	cp libs/kde-default.css $(KBASE)common/
	cp libs/kubuntu-default.css $(KBASE)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/
	cp images/admon/*.png $(KBASE)images/admon/
	cp images/C/*.png $(KBASE)images/C/
	cp images/callouts/*.png $(KBASE)images/callouts/
	cp images/navig/*.png $(KBASE)images/navig/

# Topic Based Help
tbh:

	for doc in about-kubuntu add-applications basic-concepts config-desktop \
	files-and-docs games getting-help hardware internet keeping-safe \
	musicvideophotos network newtokubuntu office printing programming \
	sysdocs-index system-settings; do xsltproc --xinclude -o $(KBASE)$$doc/C/index.html \
	$(KUBUNTUXSL) $$doc/C/$$doc.xml; done

# Cleanup

clean:
	rm -rf $(KBASE)*

=== debian/changelog ===
kubuntu-docs (7.04-5) feisty; urgency=low

  * String fixes and updated translation files
    - kubuntu/games/C/game.xml (Closes: 95492 & 94930)
    - kubuntu/keeping-safe/C/keeping-safe.xml (Closes: 94273)
    - kubuntu/libs/kde-menus-C.ent (Closes: 95108)
    - kubuntu/libs/ccbysa.html & contributors.html (Closes: 94649)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 26 Mar 2007 10:20:05 -0500

kubuntu-docs (7.04-4) feisty; urgency=low

  * Move firefox/img directory to firefox/images, missed in previous upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Mar 2007 16:18:49 +0000

kubuntu-docs (7.04-3) feisty; urgency=low

  * Fixed file conflict with ubuntu-docs (Closes #91749)
    - kubuntu/firefox-homepage/index.html renamed to kindex.html
    - move kindex.html to kfirefox-index.html in
      /usr/share/ubuntu-artwork/home/
    - debian/postinst: fixed to install and set kfirefox-index.html
      as firefox-homepage alternative
  * Fixed old doc dir to be removed correctly during upgrade (Closes #91927)
    - debian/prerm: set firefox-homepage to auto and then remove
      kfirefox-index.html correctly. If ubuntu-docs package is installed
      this will make sure that it falls back to the ubuntu-docs firefox
      startpage 
  * Moved around firefox-startpage to isntall and not conflict - removed from
    kubuntu/Makefile and placed in debian/rules for correct placement

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 13 Mar 2007 23:54:14 -0500

kubuntu-docs (7.04-2) feisty; urgency=low

  * Updated package
    - Latest Topic Based Help Documentation
    - Kubuntu Firefox Startpage 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu,  8 Mar 2007 23:41:46 -0600

kubuntu-docs (7.04-1) feisty; urgency=low

  * Feisty Docs pre-release
    -includes: about-kubuntu, systemdocs, server, and packaging guide
    -removed: releasenotes (ubiquity slideshow), desktopguide (sysdocs) 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 14 Jan 2007 21:18:25 -0600

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends-Indep: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data, kdelibs-bin
Standards-Version: 3.7.2

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * Kubuntu Topic Based Help Documentation
  * Kubuntu Firefox Startpage 
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = kubuntu

DEB_MAKE_BUILD_TARGET = kdeb

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/kubuntu-docs/usr/share/ubuntu-artwork/common

common-binary-post-install-indep::
	mv debian/kubuntu-docs/usr/share/ubuntu-artwork/home/kindex.html \
	       	debian/kubuntu-docs/usr/share/ubuntu-artwork/home/kfirefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		kubuntu/firefox-startpage \
		debian/kubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-kubuntu \
		../index.html

install/kubuntu-docs::
	# Install Firefox startpage for Kubuntu
	dh_install kubuntu/firefox-startpage/kindex.html usr/share/ubuntu-artwork/home/
	dh_install kubuntu/firefox-startpage/kubuntu.css usr/share/ubuntu-artwork/
	dh_install kubuntu/firefox-startpage/images/* usr/share/ubuntu-artwork/images/

	# *.desktop files to make documents appear in khelpcenter
	dh_install kubuntu/khelpdesktop/kubuntu/*.desktop usr/share/apps/khelpcenter/plugins/kubuntu/
	
	# this is the .directory file for proper naming in khelpcenter.
	dh_install kubuntu/khelpdesktop/kubuntu/.directory usr/share/apps/khelpcenter/plugins/kubuntu/
	
	# now add a pinch of css
	dh_install build/kubuntu/common/kubuntu-default.css usr/share/doc/kde/HTML/en/common/

	# and here goes the documentation.
	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/add-applications/C/* usr/share/doc/kde/HTML/en/kubuntu/add-applications/
	dh_install build/kubuntu/basic-concepts/C/* usr/share/doc/kde/HTML/en/kubuntu/basic-concepts/
	dh_install build/kubuntu/config-desktop/C/* usr/share/doc/kde/HTML/en/kubuntu/config-desktop/
	dh_install build/kubuntu/files-and-docs/C/* usr/share/doc/kde/HTML/en/kubuntu/files-and-docs/
	dh_install build/kubuntu/games/C/* usr/share/doc/kde/HTML/en/kubuntu/games/
	dh_install build/kubuntu/getting-help/C/* usr/share/doc/kde/HTML/en/kubuntu/getting-help/
	dh_install build/kubuntu/hardware/C/* usr/share/doc/kde/HTML/en/kubuntu/hardware/
	dh_install build/kubuntu/internet/C/* usr/share/doc/kde/HTML/en/kubuntu/internet
	dh_install build/kubuntu/keeping-safe/C/* usr/share/doc/kde/HTML/en/kubuntu/keeping-safe/
	dh_install build/kubuntu/musicvideophotos/C/* usr/share/doc/kde/HTML/en/kubuntu/musicvideophotos/
	dh_install build/kubuntu/network/C/* usr/share/doc/kde/HTML/en/kubuntu/network
	dh_install build/kubuntu/newtokubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/newtokubuntu/
	dh_install build/kubuntu/office/C/* usr/share/doc/kde/HTML/en/kubuntu/office/
	dh_install build/kubuntu/printing/C/* usr/share/doc/kde/HTML/en/kubuntu/printing/
	dh_install build/kubuntu/programming/C/* usr/share/doc/kde/HTML/en/kubuntu/programming/
	dh_install build/kubuntu/sysdocs-index/C/* usr/share/doc/kde/HTML/en/kubuntu/sysdocs-index/
	dh_install build/kubuntu/system-settings/C/* usr/share/doc/kde/HTML/en/kubuntu/system-settings/

	# image love
	dh_install build/kubuntu/images/* usr/share/doc/kde/HTML/en/images/

	# install doc-base files
	dh_install debian/kubuntu-systemdocs usr/share/doc-base

	# install contributors and cc-by-sa documentation into help:/kubuntu/$$
	dh_install kubuntu/libs/*.html usr/share/doc/kde/HTML/en/kubuntu/ 

clean::
	# clean up
	make -C kubuntu clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 7.10-5

=== kubuntu/Makefile ===
--- 
+++ 
@@ -40,11 +40,7 @@
 
 # Stylesheets for building HTML and PDF
 KUBUNTUXSL=libs/kubuntu-chunk.xsl
-# Uncomment the line below this and comment out the line above this to build website with tabs
-# KUBUNTUXSL=libs/kubuntu-web.xsl
-
-# Temporary stylesheets for doc.ubuntu.com index
-TMPXSL=tmplibs/tmp-chunk.xsl
+INDEXXSL=libs/index-table.xsl
 
 # Makes an Image list text file
 MKIMGLST=../libs/imagelist.xsl
@@ -57,11 +53,8 @@
 # Base kde directories for output from processor
 KBASE=$(BUILDDIR)kubuntu/
 
-old: clean about desktop package server release-notes
-
+# all is for the kubuntu package and for the nightly builds for doc.ubuntu.com
 all: clean style tbh
-
-kdeb: clean style tbh
 
 # Style
 style:
@@ -71,24 +64,111 @@
 	mkdir $(KBASE)images/C/
 	mkdir $(KBASE)images/callouts/
 	mkdir $(KBASE)images/navig/
-	cp libs/kde-default.css $(KBASE)common/
-	cp libs/kubuntu-default.css $(KBASE)common/
+	mkdir $(KBASE)images/index
+	cp libs/*.css $(KBASE)common/
 	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/
 	cp images/admon/*.png $(KBASE)images/admon/
 	cp images/C/*.png $(KBASE)images/C/
 	cp images/callouts/*.png $(KBASE)images/callouts/
 	cp images/navig/*.png $(KBASE)images/navig/
+	cp images/index/*.png $(KBASE)images/index/
 
 # Topic Based Help
 tbh:
 
-	for doc in about-kubuntu add-applications basic-concepts config-desktop \
-	files-and-docs games getting-help hardware internet keeping-safe \
-	musicvideophotos network newtokubuntu office printing programming \
-	sysdocs-index system-settings; do xsltproc --xinclude -o $(KBASE)$$doc/C/index.html \
-	$(KUBUNTUXSL) $$doc/C/$$doc.xml; done
+	# ABOUT KUBUNTU
+	for cc in `cat about-kubuntu/lang`; do \
+	xsltproc --stringparam generate.toc "no" \
+	--param chunk.first.sections 0 --xinclude -o \
+	$(KBASE)about-kubuntu/$$cc/index.html $(KUBUNTUXSL) \
+	about-kubuntu/$$cc/about-kubuntu.xml; done
+
+    # ADD APPLICATIONS
+	for cc in `cat add-applications/lang`; do \
+	xsltproc --xinclude -o $(KBASE)add-applications/$$cc/index.html \
+	$(KUBUNTUXSL) add-applications/$$cc/add-applications.xml; done
+
+    # BASIC CONCEPTS
+	for cc in `cat basic-concepts/lang`; do \
+	xsltproc --xinclude -o $(KBASE)basic-concepts/$$cc/index.html \
+	$(KUBUNTUXSL) basic-concepts/$$cc/basic-concepts.xml; done
+
+    # CONFIG DESKTOP
+	for cc in `cat config-desktop/lang`; do \
+	xsltproc --xinclude -o $(KBASE)config-desktop/$$cc/index.html \
+	$(KUBUNTUXSL) config-desktop/$$cc/config-desktop.xml; done
+
+    # FILES AND DOCS
+	for cc in `cat files-and-docs/lang`; do \
+	xsltproc --xinclude -o $(KBASE)files-and-docs/$$cc/index.html \
+	$(KUBUNTUXSL) files-and-docs/$$cc/files-and-docs.xml; done
+
+    # GAMES
+	for cc in `cat games/lang`; do \
+	xsltproc --xinclude -o $(KBASE)games/$$cc/index.html \
+	$(KUBUNTUXSL) games/$$cc/games.xml; done
+
+	# GETTING HELP
+	for cc in `cat getting-help/lang`; do \
+	xsltproc --xinclude -o $(KBASE)getting-help/$$cc/index.html \
+	$(KUBUNTUXSL) getting-help/$$cc/getting-help.xml; done
+
+    # HARDWARE
+	for cc in `cat hardware/lang`; do \
+	xsltproc --xinclude -o $(KBASE)hardware/$$cc/index.html \
+	$(KUBUNTUXSL) hardware/$$cc/hardware.xml; done
+
+	# INDEX
+	for cc in `cat index/lang`; do \
+	xsltproc --xinclude -o $(KBASE)index/$$cc/index.html \
+	$(INDEXXSL) index/$$cc/index.xml; done
+
+    # INTERNET
+	for cc in `cat internet/lang`; do \
+	xsltproc --xinclude -o $(KBASE)internet/$$cc/index.html \
+	$(KUBUNTUXSL) internet/$$cc/internet.xml; done
+
+    # KEEPING SAFE
+	for cc in `cat keeping-safe/lang`; do \
+	xsltproc --xinclude -o $(KBASE)keeping-safe/$$cc/index.html \
+	$(KUBUNTUXSL) keeping-safe/$$cc/keeping-safe.xml; done
+
+    # MUSIC, VIDEO, AND PHOTOS (MULTIMEDIA)
+	for cc in `cat musicvideophotos/lang`; do \
+	xsltproc --xinclude -o $(KBASE)musicvideophotos/$$cc/index.html \
+	$(KUBUNTUXSL) musicvideophotos/$$cc/musicvideophotos.xml; done
+
+    # NETWORK
+	for cc in `cat network/lang`; do \
+	xsltproc --xinclude -o $(KBASE)network/$$cc/index.html \
+	$(KUBUNTUXSL) network/$$cc/network.xml; done
+
+    # NEW TO KUBUNTU
+	for cc in `cat newtokubuntu/lang`; do \
+	xsltproc --xinclude -o $(KBASE)newtokubuntu/$$cc/index.html \
+	$(KUBUNTUXSL) newtokubuntu/$$cc/newtokubuntu.xml; done
+
+	# OFFICE
+	for cc in `cat office/lang`; do \
+	xsltproc --xinclude -o $(KBASE)office/$$cc/index.html \
+	$(KUBUNTUXSL) office/$$cc/office.xml; done
+
+	# PRINTING AND SCANNING
+	for cc in `cat printing/lang`; do \
+	xsltproc --xinclude -o $(KBASE)printing/$$cc/index.html \
+	$(KUBUNTUXSL) printing/$$cc/printing.xml; done
+
+    # PROGRAMMING (GENERAL)
+	for cc in `cat programming/lang`; do \
+	xsltproc --xinclude -o $(KBASE)programming/$$cc/index.html \
+	$(KUBUNTUXSL) programming/$$cc/programming.xml; done
+
+    # SYSTEM SETTINGS
+	for cc in `cat system-settings/lang`; do \
+	xsltproc --xinclude -o $(KBASE)system-settings/$$cc/index.html \
+	$(KUBUNTUXSL) system-settings/$$cc/system-settings.xml; done
 
 # Cleanup
+clean:
 
-clean:
 	rm -rf $(KBASE)*

=== debian/changelog ===
kubuntu-docs (7.10-5) gutsy; urgency=low

  * Translations added for languages that were available in Rosetta
  * debian/rules:
    - Fixed Internet installation location
    - Replaced sysdocs-index with index for installation
  * debian/postinst: fixed linking error with images
  * debian/prerm: added an rm that will remove previous images link done by
    the postinst so uninstall removes all kubuntu-doc items
  * Updated kubuntu/Makefile to build out translations
  * debian/control: updated my email address

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 12 Oct 2007 09:31:18 -0500

kubuntu-docs (7.10-4) gutsy; urgency=low

  * New SVN checkout - string freeze
  * Fixed files-and-docs (LP: #139613)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 14 Sep 2007 10:20:56 -0500

kubuntu-docs (7.10-3) gutsy; urgency=low

  * Hopefully fixed the localized links (LP: #109341)
  * Fixed the index links (LP: #133418)
  * Fixed the harddrives.xml link (LP: #133415)
  * Regenerated .pot files for translation

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 03 Sep 2007 20:19:28 -0500

kubuntu-docs (7.10-2) gutsy; urgency=low

  * New SVN checkout
  * Commented out translations in debian/rules until final release
  * Added about-kubuntu.desktop to plugins/kubuntu for LiveCD desktop icon
  * Added index-table.css to debian/rules for the index.html file
  * Cleaned up Makefile in SVN, show changes here
  * Added pot files for about-kubuntu and systemdocs .desktop and .directory
    files
  * Closes the following bugs:
    - (LP: #125325)
    - (LP: #131076)
    - (LP: #107062)
    - (LP: #129327)
    - (LP: #123648)
    - (LP: #131366)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 17 Aug 2007 16:58:46 -0500

kubuntu-docs (7.10-1) gutsy; urgency=low

  * Initial release for Kubuntu 7.10 'The Gutsy Gibbon'

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 21 May 2007 20:07:00 -0500

kubuntu-docs (7.04-6) feisty; urgency=low

  * Translations added
  * debian/control: added docbook-xml to build-deps

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 20 Apr 2007 17:35:17 -0500

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Richard A. Johnson <nixternal@kubuntu.org>, Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, docbook-xml, perl, perl-modules, kdelibs-data, kdelibs-bin
Standards-Version: 3.7.2

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * Kubuntu Topic Based Help Documentation
  * Kubuntu Firefox Startpage
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>

## kubuntu-docs 8.04-3

=== kubuntu/Makefile ===
--- 
+++ 
@@ -83,27 +83,27 @@
 	$(KBASE)about-kubuntu/$$cc/index.html $(KUBUNTUXSL) \
 	about-kubuntu/$$cc/about-kubuntu.xml; done
 
-    # ADD APPLICATIONS
+	# ADD APPLICATIONS
 	for cc in `cat add-applications/lang`; do \
 	xsltproc --xinclude -o $(KBASE)add-applications/$$cc/index.html \
 	$(KUBUNTUXSL) add-applications/$$cc/add-applications.xml; done
 
-    # BASIC CONCEPTS
+	# BASIC CONCEPTS
 	for cc in `cat basic-concepts/lang`; do \
 	xsltproc --xinclude -o $(KBASE)basic-concepts/$$cc/index.html \
 	$(KUBUNTUXSL) basic-concepts/$$cc/basic-concepts.xml; done
 
-    # CONFIG DESKTOP
+	# CONFIG DESKTOP
 	for cc in `cat config-desktop/lang`; do \
 	xsltproc --xinclude -o $(KBASE)config-desktop/$$cc/index.html \
 	$(KUBUNTUXSL) config-desktop/$$cc/config-desktop.xml; done
 
-    # FILES AND DOCS
+	# FILES AND DOCS
 	for cc in `cat files-and-docs/lang`; do \
 	xsltproc --xinclude -o $(KBASE)files-and-docs/$$cc/index.html \
 	$(KUBUNTUXSL) files-and-docs/$$cc/files-and-docs.xml; done
 
-    # GAMES
+	# GAMES
 	for cc in `cat games/lang`; do \
 	xsltproc --xinclude -o $(KBASE)games/$$cc/index.html \
 	$(KUBUNTUXSL) games/$$cc/games.xml; done
@@ -113,7 +113,7 @@
 	xsltproc --xinclude -o $(KBASE)getting-help/$$cc/index.html \
 	$(KUBUNTUXSL) getting-help/$$cc/getting-help.xml; done
 
-    # HARDWARE
+	# HARDWARE
 	for cc in `cat hardware/lang`; do \
 	xsltproc --xinclude -o $(KBASE)hardware/$$cc/index.html \
 	$(KUBUNTUXSL) hardware/$$cc/hardware.xml; done
@@ -123,27 +123,27 @@
 	xsltproc --xinclude -o $(KBASE)index/$$cc/index.html \
 	$(INDEXXSL) index/$$cc/index.xml; done
 
-    # INTERNET
+	# INTERNET
 	for cc in `cat internet/lang`; do \
 	xsltproc --xinclude -o $(KBASE)internet/$$cc/index.html \
 	$(KUBUNTUXSL) internet/$$cc/internet.xml; done
 
-    # KEEPING SAFE
+	# KEEPING SAFE
 	for cc in `cat keeping-safe/lang`; do \
 	xsltproc --xinclude -o $(KBASE)keeping-safe/$$cc/index.html \
 	$(KUBUNTUXSL) keeping-safe/$$cc/keeping-safe.xml; done
 
-    # MUSIC, VIDEO, AND PHOTOS (MULTIMEDIA)
+	# MUSIC, VIDEO, AND PHOTOS (MULTIMEDIA)
 	for cc in `cat musicvideophotos/lang`; do \
 	xsltproc --xinclude -o $(KBASE)musicvideophotos/$$cc/index.html \
 	$(KUBUNTUXSL) musicvideophotos/$$cc/musicvideophotos.xml; done
 
-    # NETWORK
+	# NETWORK
 	for cc in `cat network/lang`; do \
 	xsltproc --xinclude -o $(KBASE)network/$$cc/index.html \
 	$(KUBUNTUXSL) network/$$cc/network.xml; done
 
-    # NEW TO KUBUNTU
+	# NEW TO KUBUNTU
 	for cc in `cat newtokubuntu/lang`; do \
 	xsltproc --xinclude -o $(KBASE)newtokubuntu/$$cc/index.html \
 	$(KUBUNTUXSL) newtokubuntu/$$cc/newtokubuntu.xml; done
@@ -158,12 +158,12 @@
 	xsltproc --xinclude -o $(KBASE)printing/$$cc/index.html \
 	$(KUBUNTUXSL) printing/$$cc/printing.xml; done
 
-    # PROGRAMMING (GENERAL)
+	# PROGRAMMING (GENERAL)
 	for cc in `cat programming/lang`; do \
 	xsltproc --xinclude -o $(KBASE)programming/$$cc/index.html \
 	$(KUBUNTUXSL) programming/$$cc/programming.xml; done
 
-    # SYSTEM SETTINGS
+	# SYSTEM SETTINGS
 	for cc in `cat system-settings/lang`; do \
 	xsltproc --xinclude -o $(KBASE)system-settings/$$cc/index.html \
 	$(KUBUNTUXSL) system-settings/$$cc/system-settings.xml; done

=== debian/changelog ===
kubuntu-docs (8.04-3) hardy; urgency=low

  * Translations completed (LP: #203422)

 -- Richard A. Johnson <nixternal@kubuntu.org>  Thu, 10 Apr 2008 09:52:27 -0500

kubuntu-docs (8.04-2) hardy; urgency=low

  * Latest checkout of docs from bzr
  * Added lintian overrides file (LP: #194843)
  * Fixed the firefox startpage fonts (LP: #195590)
  * Updated firefox startpage translations (LP: #203422)
  * Added link to log to allow page to link to kubuntu.org (LP: #108083)
  * Updated copyright dates (LP: #192202)
  * Fixed faulty strings in games.xml
    - (LP: #201781)
    - (LP: #201785)

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 21 Mar 2008 11:14:36 -0500

kubuntu-docs (8.04-1) hardy; urgency=low

  * Initial Hardy Release, closes the following bug reports:
    - FTBFS in latest archive rebuild test - replaced kdelibs-bin with
      kdelibs4c2a (LP: #194514)
    - Faulty strings in Games documentation (LP: #141239)
    - Missing word in French translated Firefox homepage (LP: #159645)
    - Typo in Multimedia documentation (LP: #177461)
  * Bumped Standards-Version to 3.7.3
  * Cleaned up debian/control to contain no more than 80 columns per row
  * Commented out translation stuff in debian/rules until the new translations
    are completed

 -- Richard A. Johnson <nixternal@kubuntu.org>  Sat, 23 Feb 2008 01:50:44 -0600

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Uploaders: Richard A. Johnson <nixternal@kubuntu.org>, Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, docbook-xml, perl, perl-modules, kdelibs-data, kdelibs-bin
-Standards-Version: 3.7.2
+Uploaders: Richard A. Johnson <nixternal@kubuntu.org>,
+ Jonathan Riddell <jriddell@ubuntu.com>
+Build-Depends: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, docbook-xml,
+ perl, perl-modules, kdelibs-data, kdelibs4c2a
+Standards-Version: 3.7.3
 
 Package: kubuntu-docs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = kubuntu

DEB_MAKE_BUILD_TARGET = all

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/kubuntu-docs/usr/share/ubuntu-artwork/common

common-binary-post-install-indep::

	mv debian/kubuntu-docs/usr/share/ubuntu-artwork/home/kindex.html \
	       	debian/kubuntu-docs/usr/share/ubuntu-artwork/home/kfirefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		kubuntu/firefox-startpage \
		debian/kubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-kubuntu \
		../index.html

install/kubuntu-docs::

	# Install Firefox startpage for Kubuntu
	dh_install kubuntu/firefox-startpage/kindex.html usr/share/ubuntu-artwork/home/
	dh_install kubuntu/firefox-startpage/kubuntu.css usr/share/ubuntu-artwork/
	dh_install kubuntu/firefox-startpage/images/* usr/share/ubuntu-artwork/images/
	# Install Firefox startpage translations for Kubuntu
	dh_install kubuntu/firefox-startpage/kindex-*.html usr/share/ubuntu-artwork/home/locales-kubuntu/

	# about-kubuntu.desktop file for LiveCD desktop icon
	cp kubuntu/about-kubuntu/desktop/about-kubuntu.desktop \
			kubuntu/about-kubuntu/desktop/about-kubuntu.desktop.tobemoved
	dh_install kubuntu/about-kubuntu/desktop/*.tobemoved usr/share/apps/khelpcenter/plugins/kubuntu/

	# *.desktop files to make documents appear in khelpcenter
	dh_install kubuntu/khelpdesktop/kubuntu/*.desktop usr/share/apps/khelpcenter/plugins/kubuntu/

	# this is the .directory file for proper naming in khelpcenter.
	dh_install kubuntu/khelpdesktop/kubuntu/.directory usr/share/apps/khelpcenter/plugins/kubuntu/
	
	# now add a pinch of css
	dh_install build/kubuntu/common/kubuntu-default.css usr/share/doc/kde/HTML/en/common/
	dh_install build/kubuntu/common/index-table.css usr/share/doc/kde/HTML/en/common/

	# image love
	dh_install build/kubuntu/images/* usr/share/doc/kde/HTML/en/images/

	# install doc-base files
	dh_install debian/kubuntu-systemdocs usr/share/doc-base

	# install contributors and cc-by-sa documentation into help:/kubuntu/$$
	dh_install kubuntu/libs/*.html usr/share/doc/kde/HTML/en/kubuntu/

	# install english docs
	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/add-applications/C/* usr/share/doc/kde/HTML/en/kubuntu/add-applications/
	dh_install build/kubuntu/basic-concepts/C/* usr/share/doc/kde/HTML/en/kubuntu/basic-concepts/
	dh_install build/kubuntu/config-desktop/C/* usr/share/doc/kde/HTML/en/kubuntu/config-desktop/
	dh_install build/kubuntu/files-and-docs/C/* usr/share/doc/kde/HTML/en/kubuntu/files-and-docs/
	dh_install build/kubuntu/games/C/* usr/share/doc/kde/HTML/en/kubuntu/games/
	dh_install build/kubuntu/getting-help/C/* usr/share/doc/kde/HTML/en/kubuntu/getting-help/
	dh_install build/kubuntu/hardware/C/* usr/share/doc/kde/HTML/en/kubuntu/hardware/
	dh_install build/kubuntu/index/C/* usr/share/doc/kde/HTML/en/kubuntu/index/
	dh_install build/kubuntu/internet/C/* usr/share/doc/kde/HTML/en/kubuntu/internet/
	dh_install build/kubuntu/keeping-safe/C/* usr/share/doc/kde/HTML/en/kubuntu/keeping-safe/
	dh_install build/kubuntu/musicvideophotos/C/* usr/share/doc/kde/HTML/en/kubuntu/musicvideophotos/
	dh_install build/kubuntu/network/C/* usr/share/doc/kde/HTML/en/kubuntu/network/
	dh_install build/kubuntu/newtokubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/newtokubuntu/
	dh_install build/kubuntu/office/C/* usr/share/doc/kde/HTML/en/kubuntu/office/
	dh_install build/kubuntu/printing/C/* usr/share/doc/kde/HTML/en/kubuntu/printing/
	dh_install build/kubuntu/programming/C/* usr/share/doc/kde/HTML/en/kubuntu/programming/
	dh_install build/kubuntu/system-settings/C/* usr/share/doc/kde/HTML/en/kubuntu/system-settings/


	######## DOCUMENTATION W/ TRANSLATIONS ########
	# ABOUT KUBUNTU
	for cc in `cd build/kubuntu/about-kubuntu/ && ls`; do \
	dh_install build/kubuntu/about-kubuntu/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/about-kubuntu/; done
	# ADD APPLICATIONS
	for cc in `cd build/kubuntu/add-applications/ && ls`; do \
	dh_install build/kubuntu/add-applications/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/add-applications/; done
	# BASIC CONCEPTS
	for cc in `cd build/kubuntu/basic-concepts/ && ls`; do \
	dh_install build/kubuntu/basic-concepts/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/basic-concepts/; done
	# CONFIG DESKTOP
	for cc in `cd build/kubuntu/config-desktop/ && ls`; do \
	dh_install build/kubuntu/config-desktop/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/config-desktop/; done
	# FILES AND DOCS
	for cc in `cd build/kubuntu/files-and-docs/ && ls`; do \
	dh_install build/kubuntu/files-and-docs/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/files-and-docs/; done
	# GAMES
	for cc in `cd build/kubuntu/games/ && ls`; do \
	dh_install build/kubuntu/games/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/games/; done
	# GETTING HELP
	for cc in `cd build/kubuntu/getting-help/ && ls`; do \
	dh_install build/kubuntu/getting-help/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/getting-help/; done
	# HARDWARE
	for cc in `cd build/kubuntu/hardware/ && ls`; do \
	dh_install build/kubuntu/hardware/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/hardware/; done
	# INDEX
	for cc in `cd build/kubuntu/index/ && ls`; do \
	dh_install build/kubuntu/index/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/index/; done
	# INTERNET
	for cc in `cd build/kubuntu/internet/ && ls`; do \
	dh_install build/kubuntu/internet/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/internet/; done
	# KEEPING SAFE
	for cc in `cd build/kubuntu/keeping-safe/ && cat ls`; do \
	dh_install build/kubuntu/keeping-safe/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/keeping-safe/; done
	# MUSIC, VIDEOS, AND PHOTOS (MULTIMEDIA)
	for cc in `cd build/kubuntu/musicvideophotos/ && ls`; do \
	dh_install build/kubuntu/musicvideophotos/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/musicvideophotos/; done
	# NETWORK
	for cc in `cd build/kubuntu/network/ && ls`; do \
	dh_install build/kubuntu/network/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/network/; done
	# NEW TO KUBUNTU
	for cc in `cd build/kubuntu/newtokubuntu/ && ls`; do \
	dh_install build/kubuntu/newtokubuntu/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/newtokubuntu/; done
	# OFFICE
	for cc in `cd build/kubuntu/office/ && ls`; do \
	dh_install build/kubuntu/office/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/office/; done
	# PRINTING
	for cc in `cd build/kubuntu/printing/ && ls`; do \
	dh_install build/kubuntu/printing/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/printing/; done
	# PROGRAMMING
	for cc in `cd build/kubuntu/programming/ && ls`; do \
	dh_install build/kubuntu/programming/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/programming/; done
	# SYSTEM SETTINGS
	for cc in `cd build/kubuntu/system-settings/ && ls`; do \
	dh_install build/kubuntu/system-settings/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/system-settings/; done
	######## END TRANSLATIONS ########

clean::

	# clean up
	make -C kubuntu clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs
